> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Hemistich Estimates

> Hemistich estimates endpoint.

Compute estimated time and cost for the hemistich function.

Args:
    user (User): User authenticated with api key.
    data (StateCompressionSubmitModel): The payload for estimates.

Returns:
    StateCompressionEstimatesModel: The estimates object.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json post /hemistich_estimates
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.4.0
servers: []
security: []
paths:
  /hemistich_estimates:
    post:
      summary: Hemistich Estimates
      description: |-
        Hemistich estimates endpoint.

        Compute estimated time and cost for the hemistich function.

        Args:
            user (User): User authenticated with api key.
            data (StateCompressionSubmitModel): The payload for estimates.

        Returns:
            StateCompressionEstimatesModel: The estimates object.
      operationId: hemistich_estimates_hemistich_estimates_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StateCompressionEstimatesSubmitModel'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    StateCompressionEstimatesSubmitModel:
      properties:
        num_qubits:
          type: integer
          title: Num Qubits
        parameters:
          additionalProperties: true
          type: object
          title: Parameters
      type: object
      required:
        - num_qubits
        - parameters
      title: StateCompressionEstimatesSubmitModel
      description: Data models to use in the Compression estimates request.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````